<?php
/*
Plugin Name: Print textdomain
Plugin URI: http://hiromasa.zone.ne.jp/blog/
Description: Print textdomain.
Author: hiromasa
Version: 0.0
Author URI: http://hiromasa.zone.ne.jp/blog/
*/

add_action('admin_menu', 'add_admin_pages');

if(!function_exists("add_admin_pages")) {
	
	function add_admin_pages() {
	
		if (function_exists('add_options_page')) {
			add_options_page('Print textdomain', 'Print textdomain', 8, __FILE__, 'admin_page');
		}
	}
	
}

if(!function_exists("admin_page")) {
	
	function admin_page() {
		
		echo "<h2>Print textdomain test Plugin</h2>";
		echo "<div class=wrap>\n";
		echo print_textdomain('sitemap_l10n');
		echo "</div>\n";
	}
	
}

if(!function_exists("print_textdomain")) {
	
	function print_textdomain($domain) {
		$locale = get_locale();
		$mofile = "wp-content/plugins/$domain-$locale.mo";
		return $mofile;
	}
	
}


?>
